Debian Bug report logs - #392779
FTBFS: conflicting types for 'eaccess'

version graph

Package: liblockfile; Maintainer for liblockfile is Miquel van Smoorenburg <miquels@cistron.nl>;

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Fri, 13 Oct 2006 14:48:12 UTC

Severity: serious

Tags: lenny, sid

Found in version 1.06.1

Fixed in versions liblockfile/1.06.2, liblockfile/1.07-1

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Miquel van Smoorenburg <miquels@cistron.nl>:
Bug#392779; Package liblockfile. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Miquel van Smoorenburg <miquels@cistron.nl>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: liblockfile: fails to build with glibc 2.4
Date: Fri, 13 Oct 2006 14:24:45 +0100
[Message part 1 (text/plain, inline)]
Package: liblockfile
Version: 1.06.1
Severity: normal

liblockfile fails to build with glibc 2.4 (as used on Ubuntu), because
glibc 2.4 added an eaccess declaration to unistd.h which clashes with
liblockfile's own (completely different) function. A patch to rename
liblockfile's function to eaccess_write is attached. It doesn't affect
liblockfile's shared library ABI.

  https://launchpad.net/distros/ubuntu/+source/liblockfile/+bug/65837

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[liblockfile1-eaccess.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Miquel van Smoorenburg <miquels@cistron.nl>:
Bug#392779; Package liblockfile. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Miquel van Smoorenburg <miquels@cistron.nl>. Full text and rfc822 format available.

Message #10 received at 392779@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Colin Watson <cjwatson@ubuntu.com>, 392779@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#392779: liblockfile: fails to build with glibc 2.4
Date: Wed, 16 May 2007 11:13:45 +0200
retitle 392779 FTBFS: conflicting types for 'eaccess'
severity 392779 serious
thanks

* Colin Watson <cjwatson@ubuntu.com> [2006-10-13 14:24]:
> liblockfile fails to build with glibc 2.4 (as used on Ubuntu), because
> glibc 2.4 added an eaccess declaration to unistd.h which clashes with
> liblockfile's own (completely different) function. A patch to rename
> liblockfile's function to eaccess_write is attached. It doesn't affect
> liblockfile's shared library ABI.

This is also a failure in unstable now.
-- 
Martin Michlmayr
http://www.cyrius.com/



Changed Bug title to FTBFS: conflicting types for 'eaccess' from liblockfile: fails to build with glibc 2.4. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Wed, 16 May 2007 09:15:02 GMT) Full text and rfc822 format available.

Severity set to `serious' from `normal' Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Wed, 16 May 2007 09:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Miquel van Smoorenburg <miquels@cistron.nl>:
Bug#392779; Package liblockfile. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Miquel van Smoorenburg <miquels@cistron.nl>. Full text and rfc822 format available.

Message #19 received at 392779@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 392779@bugs.debian.org
Subject: Diff of the NMU
Date: Sun, 3 Jun 2007 21:34:58 +0200
[Message part 1 (text/plain, inline)]
I have just done an NMU to fix this bug. Please find the diff attached.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net
[NMU.diff (text/x-diff, attachment)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 392779-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 392779-close@bugs.debian.org
Subject: Bug#392779: fixed in liblockfile 1.06.2
Date: Sun, 03 Jun 2007 19:47:03 +0000
Source: liblockfile
Source-Version: 1.06.2

We believe that the bug you reported is fixed in the latest version of
liblockfile, which is due to be installed in the Debian FTP archive:

liblockfile-dev_1.06.2_amd64.deb
  to pool/main/libl/liblockfile/liblockfile-dev_1.06.2_amd64.deb
liblockfile1_1.06.2_amd64.deb
  to pool/main/libl/liblockfile/liblockfile1_1.06.2_amd64.deb
liblockfile_1.06.2.dsc
  to pool/main/libl/liblockfile/liblockfile_1.06.2.dsc
liblockfile_1.06.2.tar.gz
  to pool/main/libl/liblockfile/liblockfile_1.06.2.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 392779@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated liblockfile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 03 Jun 2007 19:28:33 +0200
Source: liblockfile
Binary: liblockfile-dev liblockfile1
Architecture: source amd64
Version: 1.06.2
Distribution: unstable
Urgency: low
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 liblockfile-dev - Development library for liblockfile.
 liblockfile1 - NFS-safe locking library, includes dotlockfile program
Closes: 392779
Changes: 
 liblockfile (1.06.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Rename eaccess() to eaccess_write() as eaccess is now a glibc function.
     Patch by Colin Watson. Closes: #392779.
Files: 
 8ce56ac42add9784a173ae16107e4876 498 devel standard liblockfile_1.06.2.dsc
 184e22a59c7d3d988d77e88f7386b8b2 32610 devel standard liblockfile_1.06.2.tar.gz
 40d90050a2b80e34da41bbcc3d9af13f 15304 libs important liblockfile1_1.06.2_amd64.deb
 fecbb4e6e2c62a774222a1b728e814bf 18894 devel optional liblockfile-dev_1.06.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGYxdmw3ao2vG823MRAo6fAJ9AJMjOTdM82gJEMX+3pQoxg1fEWQCeP9W+
10ZJUt193MoNO7SXt7n94jc=
=d41r
-----END PGP SIGNATURE-----




Tags added: lenny, sid Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Fri, 29 Jun 2007 05:57:04 GMT) Full text and rfc822 format available.

Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 392779-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 392779-close@bugs.debian.org
Subject: Bug#392779: fixed in liblockfile 1.07-1
Date: Sat, 05 Apr 2008 06:47:50 +0000
Source: liblockfile
Source-Version: 1.07-1

We believe that the bug you reported is fixed in the latest version of
liblockfile, which is due to be installed in the Debian FTP archive:

liblockfile-dev_1.07-1_mips.deb
  to pool/main/libl/liblockfile/liblockfile-dev_1.07-1_mips.deb
liblockfile1_1.07-1_mips.deb
  to pool/main/libl/liblockfile/liblockfile1_1.07-1_mips.deb
liblockfile_1.07-1.diff.gz
  to pool/main/libl/liblockfile/liblockfile_1.07-1.diff.gz
liblockfile_1.07-1.dsc
  to pool/main/libl/liblockfile/liblockfile_1.07-1.dsc
liblockfile_1.07.orig.tar.gz
  to pool/main/libl/liblockfile/liblockfile_1.07.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 392779@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated liblockfile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 12:14:10 +1000
Source: liblockfile
Binary: liblockfile1 liblockfile-dev
Architecture: source mips
Version: 1.07-1
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 liblockfile-dev - Development library for liblockfile
 liblockfile1 - NFS-safe locking library, includes dotlockfile program
Closes: 322790 339498 376409 392779 416271 465090
Changes: 
 liblockfile (1.07-1) unstable; urgency=low
 .
   * New maintainer. Closes: #465090
   * ACKed NMUs. Closes: #392779, #322790
   * Fixed "liblockfile1: fails to call ldconfig". Closes: #376409
   * Fixed "liblockfile-dev: upgrade from sarge + purge leaves
     /usr/share/doc/liblockfile1/liblockfile-dev". Closes: #339498
   * Fixed "liblockfile1: option -u is duplicated". Closes: #416271
   * This package is non-native
   * Bumped Standards-Version to 3.7.3
   * liblockfile1: priority is standard
   * liblockfile-dev: section is libdevel
   * Fixed the following lintian message:
     - liblockfile source: substvar-source-version-is-deprecated liblockfile-dev
     - liblockfile-dev: dev-package-should-be-section-libdevel liblockfile-dev
     - liblockfile1: postinst-must-call-ldconfig usr/lib/liblockfile.so.1.0
     - liblockfile-dev: description-synopsis-might-not-be-phrased-properly
     - liblockfile1: debian-changelog-file-missing-or-wrong-name
     - liblockfile-dev: debian-changelog-file-missing-or-wrong-name
Files: 
 c8a9c46d08dec3c5f360c2e06c646bb6 565 devel standard liblockfile_1.07-1.dsc
 8e35d413e301d0c4cf3751e89df22445 27829 devel standard liblockfile_1.07.orig.tar.gz
 b219a3342f7fa6f94fac691bf9170705 4753 devel standard liblockfile_1.07-1.diff.gz
 c8b99744b465acde19040e69aa3f4197 15388 libs standard liblockfile1_1.07-1_mips.deb
 9a19108d01c767422a76acbf59e7a956 19590 libdevel optional liblockfile-dev_1.07-1_mips.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9x5JgY5NIXPNpFURAtgwAJ9TjXLC17o6Z59LMm7N59/or9vfWACgh9cK
SkYFS6kbYmaprabL61u+YW8=
=4RC3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 10:06:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:27:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.